Subject: Re: bug#9214: `fundamental-mode-hook' not run when setting up `fundamental-mode' under certain circumstances; Info documentation incorrect

From: Stefan Monnier <[email-masked]>
Date: Sun, 29 Jan 2012 23:16:11 -0500

> Exactly. I need a way to run code for _any_ new buffer (I don't really
> need to run the code for temporary buffers which never get any user
> interaction, but I don't think there is a way to set those apart), no

There is a way: whether they call a major-mode function or not.
Of course, some packages may erroneously forget to call a major-mode
function for those buffers, but the problem is in those packages.

        Stefan